Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atomikos.icatch.jaxb.wsa.v200408
Class OutgoingAddressingHeaders

    java.lang.Object
      com.atomikos.icatch.jaxb.wsa.OutgoingAddressingHeaders
          com.atomikos.icatch.jaxb.wsa.v200408.OutgoingAddressingHeaders

All Implemented Interfaces:
  Externalizable, Serializable

    public class OutgoingAddressingHeaders

extends OutgoingAddressingHeaders
implements Externalizable

Implementation according to the 2004/08 spec.

See Also:
  Serialized Form

Constructor Summary
`OutgoingAddressingHeaders()`

Method Summary
`static OutgoingAddressingHeaders` | `extractFromEPR(EndpointReferenceType epr)` Extracts an instance from the WSA information in a given EPR.
`static OutgoingAddressingHeaders` | `extractFromEPR(javax.xml.soap.SOAPElement eprAsSOAPElement)` Similar to `extractFromEPR(EndpointReferenceType)` but with the EPR embedded in a SOAPElement.
`String` | `getRelatesTo()` Returns the relatesTo field - if any.
`String` | `getTargetURI()` Returns a unique String representation of the remote receiver; typically this could be the to-address URI suffixed with the reference properties.
`String` | `getTo()`
`void` | `insertIntoRequestContext(javax.xml.ws.BindingProvider bp)` Adds the configured data to the context or the given provider.
`void` | `readExternal(ObjectInput in)`
`void` | `setRelatesTo(String msgId)` Sets the relatesTo field.
`void` | `writeExternal(ObjectOutput out)`

Methods inherited from class com.atomikos.icatch.jaxb.wsa.OutgoingAddressingHeaders
`getAction, getFaultTo, getFaultToTarget, getMessageId, getReplyTo, getReplyToTarget, setAction, setFaultTo, setFaultToTarget, setMessageId, setReplyTo, setReplyToTarget`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OutgoingAddressingHeaders

    public OutgoingAddressingHeaders()

Method Detail

### getTo

    public String getTo()

  Specified by:
    `getTo` in class `OutgoingAddressingHeaders`

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Specified by:
    `readExternal` in interface `Externalizable`
  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Specified by:
    `writeExternal` in interface `Externalizable`
  Throws:
    `IOException`

### insertIntoRequestContext

    public void insertIntoRequestContext(javax.xml.ws.BindingProvider bp)
                                  throws javax.xml.soap.SOAPException

  Description copied from class: `OutgoingAddressingHeaders`
  Adds the configured data to the context or the given provider.

  Specified by:
    `insertIntoRequestContext` in class `OutgoingAddressingHeaders`
  Throws:
    `javax.xml.soap.SOAPException`

### extractFromEPR

    public static OutgoingAddressingHeaders extractFromEPR(EndpointReferenceType epr)
                                                    throws javax.xml.soap.SOAPException

  Extracts an instance from the WSA information in a given EPR.

  Parameters:
    `epr` -
  Returns:
    An instance for sending to the service indicated by the EPR (used for WS-C registration messages).
  Throws:
    `javax.xml.soap.SOAPException`

### extractFromEPR

    public static OutgoingAddressingHeaders extractFromEPR(javax.xml.soap.SOAPElement eprAsSOAPElement)

  Similar to `extractFromEPR(EndpointReferenceType)` but with the EPR embedded in a SOAPElement.

### getTargetURI

    public String getTargetURI()

  Returns a unique String representation of the remote receiver; typically this could be the to-address URI suffixed with the reference properties.

  Returns:

### getRelatesTo

    public String getRelatesTo()

  Returns the relatesTo field - if any.

  Returns:

### setRelatesTo

    public void setRelatesTo(String msgId)

  Sets the relatesTo field.

  Parameters:
    `msgId` - The message ID of a previous incoming message (used as correlation for a reply).

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.